<?php

    class File_Or_Directory_Exists_Condition extends Reactor_Condition
    {
        protected $tpl = 'file_or_directory_exists.php';
        protected $name = 'File or directory exists';
		
		public static $registration = array(
			CONDITION_NAME => 'File or directory exists',
			CONDITION_CATEGORY => 'Local',
			CONDITION_DESCRIPTION => 'Checks for the existence of a file or directory.',
			CONDITION_AUTHOR => 'Jeremy Yunis, Nagios Enterprises, LLC',
			CONDITION_VERSION => '1.0',
			CONDITION_DATE => '01/22/2013', //Last version update
			CONDITION_AUTHLEVEL => 0,  // 0 - everyone | 1 - Admin only
			CONDITION_TYPE => 'core', //core | user. core modules can't be deleted
			CONDITION_META => array(),	//Misc information	
		); 			
		
        protected $fields = array(
            'filename' => array(
                'label' => 'filename',
                'validate' => 'trim|required|xss_clean|prep_for_form',
            ),
        );

        public function get_label()
        {
            if($params = $this->get_params()) {
                if(array_key_exists('filename', $params)) {
                    return sprintf('File or directory \'%s\' exists', $params['filename']);
                }
            }
            return parent::get_label();
        }
       
        public function run($context)
        {
            $this->set_context($context);
            $params = $this->get_params();
			
			if(ENVIRONMENT=='development')
				logit(print_r($params,true));
			
            $this->set_result(
                is_file($params['filename']) ||
                is_dir($params['filename'])
            );
        }
    }
